<!doctype html>
<html lang="en" data-framework="javascript">
	<head>
		<meta charset="utf-8">
		<title>Todo list</title>
		<link rel="stylesheet" href="node_modules/todomvc-app-css/index.css">
	</head>
	<body>
		<section class="todoapp">
			<header class="header">
				<section><div id="color-changing-div" style="width: 100%; height: 50px; background-color: red;"><h2>Percy example app</h2></div></section>
				<input class="new-todo" placeholder="What needs to be done?" autofocus>
			</header>
			<section class="main">
				<input id="toggle-all" class="toggle-all" type="checkbox">
				<label for="toggle-all">Mark all as complete</label>
				<ul class="todo-list"></ul>
			</section>
			<footer class="footer">
				<span class="todo-count"></span>
				<ul class="filters">
					<li>
						<a href="#/" class="selected">All</a>
					</li>
					<li>
						<a href="#/active">Active</a>
					</li>
					<li>
						<a href="#/completed">Completed</a>
					</li>
				</ul>
				<button class="clear-completed">Clear completed</button>
			</footer>
		</section>
		<footer class="info">
			<img id="firefox-only-image" src="cat.webp" alt="Funny Image" style="display: none; width: 100%; max-width: 600px; height: auto;">
			<p>Double-click to edit a todo</p>
			<p>Created by Jan Machacek</a></p>
		</footer>
		<script src="js/helpers.js"></script>
		<script src="js/store.js"></script>
		<script src="js/model.js"></script>
		<script src="js/template.js"></script>
		<script src="js/view.js"></script>
		<script src="js/controller.js"></script>
		<script src="js/app.js"></script>
	</body>
</html>

<script>
	function getRandomColor() {
		var letters = '0123456789ABCDEF';
		var color = '#';
		for (var i = 0; i < 6; i++) {
			color += letters[Math.floor(Math.random() * 16)];
		}
		return color;
	}
	
	function changeColor() {
		var div = document.getElementById('color-changing-div');
		div.style.backgroundColor = getRandomColor();
	}
	
	setInterval(changeColor, 1000);

	
	document.addEventListener("DOMContentLoaded", function() {
		var isFirefox = typeof InstallTrigger !== 'undefined'; // Pravdivý pouze ve Firefoxu
		var firefoxOnlyImage = document.getElementById('firefox-only-image');
	
		if (isFirefox) {
			firefoxOnlyImage.style.display = 'block'; // Zobrazí obrázek, pokud je prohlížeč Firefox
		}
	});
		
</script>
